import {defineStore} from "pinia";
import {Ref, ref} from "@vue/reactivity";
import {MenuGroup, MenuItem} from "~/types/layout";

export const useLayoutStore = defineStore('layout', () => {
    const menus: Ref<Record<string, MenuGroup | MenuItem>> = ref({})
    const menusOpened: Ref<Record<string, boolean>> = ref({})

    return {
        menus,
        menusOpened,
    }
})
